> ## Documentation Index
> Fetch the complete documentation index at: https://docs.finosu.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Cancel Scheduled Call

> Cancels a specific scheduled call by ID



## OpenAPI

````yaml POST /scheduled-calls/{id}/cancel
openapi: 3.1.0
info:
  title: Finosu API
  description: Finosu API
  license:
    name: MIT
  version: 1.0.0
servers: []
security:
  - apiKeyAuth: []
paths:
  /scheduled-calls/{id}/cancel:
    post:
      description: Cancels a specific scheduled call by ID
      parameters:
        - name: id
          in: path
          description: ID of scheduled call to cancel
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Scheduled call canceled
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ScheduledCall'
        '400':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    ScheduledCall:
      type: object
      properties:
        id:
          description: Identification number of the scheduled call
          type: string
        customerId:
          description: ID of the customer
          type: string
        scheduledTime:
          description: Scheduled time of the call
          type: string
        status:
          description: Status of the scheduled call
          type: string
        callId:
          description: Identification number of the call if the call has been executed
          type: string
        postProcessingFlags:
          description: >-
            Array of post-processing flags from the associated call. Common
            flags include: DNC (Do Not Call), COMPLAINT, MESSAGE_LEFT,
            VOICEMAIL_CONNECT, RPC (Right Party Contact), THIRD_PARTY_CONTACT,
            WRONG_NUMBER, DECEASED, INCARCERATED, MILITARY, BANKRUPTCY,
            CIP_PASSED, CIP_FAILED, TRANSFER, CALLBACK_REQUEST, and others
          type: array
          items:
            type: string
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: integer
          format: int32
        message:
          type: string
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````